#!/bin/bash

        # Repositories definition only usable with redpesk OS
        
cat << EOF > /etc/yum.repos.d/redpesk-bsp-generic--redpesk-lts-batz-2.0-update-build.repo
[redpesk-bsp-generic--redpesk-lts-batz-2.0-update-build]
name=redpesk-bsp-generic--redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-bsp-generic/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os?token=4fe57c07-b6e8-4d0b-8e76-ac3655229b00_9989b582-3e39-4764-b5ad-0c0a593e7791
priority=1
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-lts-batz-2.0-update-build.repo
[redpesk-lts-batz-2.0-update-build]
name=redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os
priority=2
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/apps--redpesk-lts-batz-2.0-update-build.repo
[apps--redpesk-lts-batz-2.0-update-build]
name=apps--redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/apps/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os
priority=3
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/baseos--redpesk-lts-batz-2.0-update-build.repo
[baseos--redpesk-lts-batz-2.0-update-build]
name=baseos--redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/baseos/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os?token=5ac27876-b2d8-418f-8ff2-c91b7fab288a_ea5d86dd-754a-426c-9a9a-2c0770e32ea2
priority=4
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-toolchain--redpesk-lts-batz-2.0-update-build.repo
[redpesk-toolchain--redpesk-lts-batz-2.0-update-build]
name=redpesk-toolchain--redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-toolchain/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os
priority=5
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-third-party--redpesk-lts-batz-2.0-update-build.repo
[redpesk-third-party--redpesk-lts-batz-2.0-update-build]
name=redpesk-third-party--redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-third-party/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os?token=eb25a01f-a42f-4dfc-9904-32399e2715ab_ba5ca0fa-8d31-49cc-b66d-796a361c41ff
priority=6
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-core--redpesk-lts-batz-2.0-update-build.repo
[redpesk-core--redpesk-lts-batz-2.0-update-build]
name=redpesk-core--redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-core/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os?token=367d45de-f59a-4265-829f-17f4191d0efe_558f5a56-64db-4263-99fd-11a47e4a34d4
priority=7
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-common--redpesk-lts-batz-2.0-update-build.repo
[redpesk-common--redpesk-lts-batz-2.0-update-build]
name=redpesk-common--redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-common/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os?token=9460fa02-595a-4e3e-ad07-baae287e03e1_51269e61-6f54-4d24-8627-f3d94f5d99de
priority=8
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-core--redpesk-lts-batz-2.0-update-build.repo
[redpesk-core--redpesk-lts-batz-2.0-update-build]
name=redpesk-core--redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-core/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os?token=367d45de-f59a-4265-829f-17f4191d0efe_558f5a56-64db-4263-99fd-11a47e4a34d4
priority=4
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-devtools--redpesk-lts-batz-2.0-update-build.repo
[redpesk-devtools--redpesk-lts-batz-2.0-update-build]
name=redpesk-devtools--redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-devtools/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os?token=147ff480-c3a6-4737-8e44-71d67c91996a_cdbb86a6-71ec-4418-9529-157d00426e81
priority=5
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-devtools--redpesk-lts-batz-2.0-update-build.repo
[redpesk-devtools--redpesk-lts-batz-2.0-update-build]
name=redpesk-devtools--redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-devtools/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os?token=147ff480-c3a6-4737-8e44-71d67c91996a_cdbb86a6-71ec-4418-9529-157d00426e81
priority=11
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-labs--redpesk-lts-batz-2.0-update-build.repo
[redpesk-labs--redpesk-lts-batz-2.0-update-build]
name=redpesk-labs--redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-labs/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os?token=6a20ac85-a855-4149-a492-a8747b43e976_a21e7710-749a-4a61-8fb4-423549e0a8d4
priority=15
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-samples--redpesk-lts-batz-2.0-update-build.repo
[redpesk-samples--redpesk-lts-batz-2.0-update-build]
name=redpesk-samples--redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-samples/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os?token=b3d021d2-79cb-494e-8ebc-eeb982b1c050_57abad93-34cb-4633-9d2f-c57cdd1b5064
priority=19
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/java-maven-apps--redpesk-lts-batz-2.0-update-build.repo
[java-maven-apps--redpesk-lts-batz-2.0-update-build]
name=java-maven-apps--redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/java-maven-apps/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os
priority=24
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/java-maven-third-party--redpesk-lts-batz-2.0-update-build.repo
[java-maven-third-party--redpesk-lts-batz-2.0-update-build]
name=java-maven-third-party--redpesk-lts-batz-2.0-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/java-maven-third-party/redpesk-lts-batz-2.0-update-release/latest/\$basearch/os
priority=25
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/import-batz-2.0-rocky-update-build.repo
[import-batz-2.0-rocky-update-build]
name=import-batz-2.0-rocky-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/import-batz-2.0-rocky-update-release/latest/\$basearch/os
priority=44
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/import-batz-2.0-epel-update-build.repo
[import-batz-2.0-epel-update-build]
name=import-batz-2.0-epel-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/import-batz-2.0-epel-update-release/latest/\$basearch/os
priority=49
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-config-build.repo
[redpesk-config-build]
name=redpesk-config-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-config-release/latest/\$basearch/os
priority=54
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF
